#include <avr/io.h>
#include <stdio.h>
#include <string.h>
#include <stdint.h>

int main(void)
{
  uint8_t i;
  char ret1[20] = "ATmega";
  char ret2[20] = "328PB";

  //soucet retezcu:
  strcat(ret1, ret2);
  //vypis retezce:
  printf("%s\n", ret1);
  //vypis poctu ulozenych znaku:
  printf("delka = %u\n", strlen(ret1));

  //vypis po jednom znaku:
  for(i = 0; i < strlen(ret1); i++)
  {
    printf("%c ", ret1[i]);
  }
  printf("\n");

  //porovnani:
  if(strcmp(ret1, "abc") > 0)
    printf("1. podminka splnena\n");
  if(strcmp(ret1, "abc") < 0)
    printf("2. podminka splnena\n");
  if(strcmp(ret1, "ATmega328PB") == 0)
    printf("3. podminka splnena\n");

  while (1) 
  {
  }
}

